| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
mpolar_fft_test.c File Reference

NFFT-based polar FFT and inverse on modified polar grid. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include <complex.h>`
`#include "nfft3mp.h"`
Include dependency graph for mpolar_fft_test.c:

Go to the source code of this file.

## Functions
static int | mpolar_grid (int T, int S, NFFT_R *x, NFFT_R *w)
| Generates the points with weights for the modified polar grid with angles and offsets. More...
static int | mpolar_dft (NFFT_C *f_hat, int NN, NFFT_C *f, int T, int S, int m)
| discrete mpolar FFT
static int | mpolar_fft (NFFT_C *f_hat, int NN, NFFT_C *f, int T, int S, int m)
| NFFT-based mpolar FFT.
static int | inverse_mpolar_fft (NFFT_C *f, int T, int S, NFFT_C *f_hat, int NN, int max_i, int m)
| inverse NFFT-based mpolar FFT
static int | comparison_fft (FILE *fp, int N, int T, int S)
| Comparison of the FFTW, mpolar FFT, and inverse mpolar FFT.
int | main (int argc, char **argv)
| test program for various parameters

## Variables
NFFT_R | GLOBAL_elapsed_time

## Detailed Description

NFFT-based polar FFT and inverse on modified polar grid.

Computes the NFFT-based polar FFT and its inverse on a modified polar grid for various parameters.

Author
  Markus Fenn

Date
  2006

Definition in file mpolar_fft_test.c.